## wildmidi 0.2.2

=== debian/changelog ===
wildmidi (0.2.2-3) unstable; urgency=low

  * debian/libwildmidi0.symbols,
    debian/patches/08_export-symbols-regex.patch,
    debian/patches/99_autoreconf.patch:
    + Add export symbols regex to only export symbols that should be exported.
  * debian/patches/07_invalid-free.patch:
    + Patch by Benjamin Otte to fix an invalid free.
      https://bugzilla.gnome.org/show_bug.cgi?id=618247
  * debian/source/format,
    debian/rules:
    + Switch to source format 3.0 (quilt).
  * debian/rules:
    + Generate correct shlibs file and fail the build if the symbols file
      is wrong.
  * debian/control:
    + Update Standards-Version to 3.8.4.
    + Line-wrap control fields.
    + Add ${misc:Depends} to the -dev package.
    + Make shared library package dependency of the -dev package
      more strict to fix a lintian warning.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 May 2010 06:31:11 +0200

wildmidi (0.2.2-2) unstable; urgency=low

  * debian/rules,
    debian/libwildmidi0.install,
    debian/wildmidi.cfg,
    debian/patches/06_wildmidi.cfg-path.patch:
    + Recommend freepats and put a default wildmidi configuration using
      freepats into /etc/wildmidi/wildmidi.cfg.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 25 Feb 2008 06:51:39 +0100

wildmidi (0.2.2-1) unstable; urgency=low

  [ Emmet Hikory ]
  * Initial release. (Closes: #465030)

  [ Sebastian Dröge ]
  * debian/patches/01_config-parser.patch:
    + Fix parsing of redirects and pat lines with ".pat" at the end in
      config files. Patch based on the one from the Fedora package.
  * debian/patches/02_memleaks.patch:
    + Fix some memory leaks.
  * debian/patches/03_arch-none.patch:
    + Patch taken from the Fedora package to allow compilation without
      arch specific optimizations.
  * debian/patches/04_alsa-no-mmap.patch:
    + Patch taken from the Fedora package to use normal ALSA write functions
      instead of MMAP to work with pulseaudio.
  * debian/patches/05_am-maintainer-mode.patch:
    + Add AM_MAINTAINER_MODE to configure.ac.
  * debian/patches/99_autoreconf.patch:
    + Regenerated autoconf/automake stuff for the above changes.
  * debian/control:
    + Use alsa on Linux systems.
  * debian/rules:
    + Adjust default path for config file.

 -- Emmet Hikory <emmet.hikory@gmail.com>  Mon, 11 Feb 2008 09:21:00 +0900
