=== debian/control ===
Source: wildmidi
Section: sound
Priority: optional
Maintainer: Emmet Hikory <emmet.hikory@gmail.com>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 7),
               cdbs,
               autotools-dev,
               libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.8.4
Homepage: http://wildmidi.sourceforge.net/

Package: wildmidi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: software MIDI player
 Minimal MIDI player implementation based on the wildmidi library

Package: libwildmidi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: freepats
Description: software MIDI player library
 MIDI streaming library designed to process a midi file and stream the results
 as stereo audio data through a buffer which an external program can then
 process further.

Package: libwildmidi-dev
Section: libdevel
Architecture: any
Depends: libwildmidi0 (= ${binary:Version}),
         ${misc:Depends}
Description: software MIDI player library headers
 MIDI streaming library designed to process a midi file and stream the results
 as stereo audio data through a buffer which an external program can then
 process further.
 .
 This package contains the development headers
