=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_EXTRA_FLAGS := --disable-werror --without-arch --disable-static --with-timidity-cfg=/etc/wildmidi/wildmidi.cfg
DEB_INSTALL_CHANGELOGS_ALL := changelog

DEB_DH_MAKESHLIBS_ARGS_libwildmidi0 += -V 'libwildmidi0 (>= 0.2.2)' -- -c4
