## wildmidi 0.2.3.2

=== debian/changelog ===
wildmidi (0.2.3.2-2) unstable; urgency=low

  * debian/patches/01_wildmidi-static-follows-non-static-declaration.patch:
    + Fix build failure of the OSS sound output support.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 09 Jul 2010 06:14:32 +0200

wildmidi (0.2.3.2-1) unstable; urgency=low

  * New upstream release:
    + debian/control,
      debian/libwildmidi[01].install,
      debian/libwildmidi[01].symbols:
      - Update for new soname.
    + debian/wildmidi.install,
      debian/libwildmidi0.install,
      debian/libwildmidi-dev.install:
      - Add manpages, which are now CC BY-SA 3.0 licensed.
    + debian/copyright:
      - Update copyright for the CC BY-SA 3.0 manpages.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Jul 2010 07:37:05 +0200

wildmidi (0.2.3.1+dfsg-1) unstable; urgency=low

  * New upstream release:
    + Dropped documentation from original source tarball because
      it's licensed under a non-free Creative Commons non-commercial
      license.
    + debian/patches/01_config-parser.patch,
      debian/patches/02_memleaks.patch,
      debian/patches/03_arch-none.patch,
      debian/patches/04_alsa-no-mmap.patch,
      debian/patches/05_am-maintainer-mode.patch,
      debian/patches/07_invalid-free.patch,
      debian/patches/08_export-symbols-regex.patch,
      debian/patches/99_autoreconf.patch:
      - Dropped, merged upstream.
    + debian/copyright:
      - Update licenses to GPLv3 and LGPLv3.
    + debian/control,
      debian/rules,
      debian/libwildmidi0.symbols:
      - Update symbols and shlibs version and add a Breaks
        against gstreamer0.10-plugins-bad (<< 0.10.19-2) because
        of API changes without a soname change. No other package
        is using the library right now and upstream is now aware
        of the problem.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Jul 2010 08:19:46 +0200
