=== debian/control ===
--- 
+++ 
@@ -17,12 +17,13 @@
 Description: software MIDI player
  Minimal MIDI player implementation based on the wildmidi library
 
-Package: libwildmidi0
+Package: libwildmidi1
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: freepats
+Replaces: libwildmidi0
 Description: software MIDI player library
  MIDI streaming library designed to process a midi file and stream the results
  as stereo audio data through a buffer which an external program can then
@@ -31,7 +32,7 @@
 Package: libwildmidi-dev
 Section: libdevel
 Architecture: any
-Depends: libwildmidi0 (= ${binary:Version}),
+Depends: libwildmidi1 (= ${binary:Version}),
          ${misc:Depends}
 Description: software MIDI player library headers
  MIDI streaming library designed to process a midi file and stream the results
