=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_EXTRA_FLAGS := --disable-werror --without-arch --disable-static --with-timidity-cfg=/etc/wildmidi/wildmidi.cfg
DEB_INSTALL_CHANGELOGS_ALL := 

DEB_DH_MAKESHLIBS_ARGS_libwildmidi1 += -V 'libwildmidi1 (>= 0.2.3)' -- -c4
