## wildmidi 0.2.3.4

=== debian/changelog ===
wildmidi (0.2.3.4-2.1ubuntu3) trusty; urgency=low

  * Use dh-autoreconf for newer arches.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 28 Jan 2014 14:46:14 -0500

wildmidi (0.2.3.4-2.1ubuntu2) saucy; urgency=low

  * Build --with autotools_dev to fix arm64 build.

 -- William Grant <wgrant@ubuntu.com>  Wed, 16 Oct 2013 20:17:26 +1100

wildmidi (0.2.3.4-2.1ubuntu1) raring; urgency=low

  * No change upload to raring to ensure that the version is newer than 
    the one SRUed in precise for lp: #924508

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 30 Nov 2012 16:16:52 +0100

wildmidi (0.2.3.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix Replaces line. (Closes: #636201)

 -- Jessica McKellar <jesstess@mit.edu>  Sun, 21 Aug 2011 14:35:33 -0400

wildmidi (0.2.3.4-2) unstable; urgency=low

  * Split out libwildmidi-config to comply with Policy 8.2
  * Add Multi-Arch support
    - debian/control: add Multi-Arch:, Pre-Depends, bump debhelper version
    - debian/libwildmidi{1,-dev}.install: adjust library paths
    - debian/compat: increase to compatibility level 9
  * debian/control: use [linux-any] for Build-Depends (Closes: 634748)
  * Bump Policy to 3.9.2

 -- Emmet Hikory <emmet.hikory@gmail.com>  Fri, 29 Jul 2011 01:58:52 +0900

wildmidi (0.2.3.4-1) unstable; urgency=low

  * New upstream release
  * Drop 01_wildmidi-static-follows-non-static-declaration: adopted upstream
  * 06_wildmidi.cfg-path: rebase
  * 07_manpage_conformity: manpage syntax cleanups
  * Bump policy to 3.9.1
  * Migrate to dh(1)
  * Pass --with-wildmidi-cfg instead of --with-timidity-cfg (Closes: 608654)

 -- Emmet Hikory <emmet.hikory@gmail.com>  Tue, 22 Feb 2011 02:01:40 +0900
