=== debian/control ===
Source: wildmidi
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Emmet Hikory <emmet.hikory@gmail.com>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               dh-autoreconf,
               libasound2-dev [linux-any]
Standards-Version: 3.9.2
Homepage: http://wildmidi.sourceforge.net/

Package: wildmidi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: software MIDI player
 Minimal MIDI player implementation based on the wildmidi library

Package: libwildmidi1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libwildmidi-config,
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: libwildmidi0
Description: software MIDI player library
 MIDI streaming library designed to process a MIDI file and stream the results
 as stereo audio data through a buffer which an external program can then
 process further.

Package: libwildmidi-dev
Section: libdevel
Architecture: any
Depends: libwildmidi1 (= ${binary:Version}),
         ${misc:Depends}
Description: software MIDI player library headers
 MIDI streaming library designed to process a MIDI file and stream the results
 as stereo audio data through a buffer which an external program can then
 process further.
 .
 This package contains the development headers and relevant documentation

Package: libwildmidi-config
Section: misc
Architecture: all
Multi-Arch: foreign
Breaks: libwildmidi1 (<< 0.2.3.4-2~)
Replaces: libwildmidi1 (<< 0.2.3.4-2~)
Depends: ${misc:Depends}
Recommends: freepats
Description: software MIDI player configuration
 MIDI streaming library designed to process a MIDI file and stream the results
 as stereo audio data through a buffer which an external program can then
 process further.
 .
 This package contains the configuration files and relevant documentation
