=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-werror --without-arch --disable-static \
	--with-wildmidi-cfg=/etc/wildmidi/wildmidi.cfg

override_dh_makeshlibs:
	dh_makeshlibs -V 'libwildmidi1 (>=0.2.3)' -- -c4
