=== debian/watch ===
version=3

http://sf.net/wildmidi/wildmidi-(.+)\.tar\.gz
