## wildmidi 0.3.7

=== debian/changelog ===
wildmidi (0.3.7-1) unstable; urgency=low

  [ Bret Curtis ]
  * New upstream release
  * Updated watch file
  * Added upstream changelog

 -- Bret Curtis <psi29a@gmail.com>  Thu, 05 Jun 2014 08:35:33 +0100

wildmidi (0.3.5-1) unstable; urgency=low

  [ Bret Curtis ]
  * New upstream release

 -- Bret Curtis <psi29a@gmail.com>  Tue, 18 Mar 2014 08:35:33 +0100

wildmidi (0.3.3-4) unstable; urgency=low

  [ Bret Curtis ]
  * Patch: 05-hurd-ONLCR.patch - Fix building on hurd, define __USE_XOPEN
  * Set VERBOSE=1 for cmake magic that fixes "compiler-flags-hidden" warning
  * Do out-of-tree build, gives us a cleaner build

 -- Bret Curtis <psi29a@gmail.com>  Thu, 13 Feb 2014 13:35:33 +0100

wildmidi (0.3.3-3) unstable; urgency=low

  [ Bret Curtis ]
  * Patch: 03-kfreebsd-fixes.patch - Fix audio auto-detection on kfreebsd
  * Patch: 04-SYMBOL.patch - Moved SYMBOL to wildmidi_lib.c (Closes: 738721)

 -- Bret Curtis <psi29a@gmail.com>  Wed, 12 Feb 2014 12:35:33 +0100

wildmidi (0.3.3-2) unstable; urgency=low

  [ Bret Curtis ]
  * Patch: 01-hurd-autodetect.patch - Fix building on hurd
  * Patch: 02-version-bump.patch - Bump version to 0.3.3
  * Updated copyright file

 -- Bret Curtis <psi29a@gmail.com>  Tue, 11 Feb 2014 14:35:33 -0400

wildmidi (0.3.3-1) unstable; urgency=low

  [ Bret Curtis ]
  * Fix segfaulting when running with reverb (Closes: 711658)
  * Fix upstream to forked repo (Closes: 735277)
  * Fix FTBFS on x32 (Closes: 702756)

  [ Scott Howard ]
  * Updated libwildmidi1.symbols

 -- Bret Curtis <psi29a@gmail.com>  Sat, 18 Jan 2014 08:35:33 -0400
