## wildmidi 0.3.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # WildMIDI Version
 SET(VERSION_MAJOR 0)
 SET(VERSION_MINOR 3)
-SET(VERSION_RELEASE 7)
+SET(VERSION_RELEASE 8)
 SET(WILDMIDI_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}")
 
 # Lib Versions
