=== debian/changelog ===
wildmidi (0.3.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 11:50:14 +0300

wildmidi (0.3.8-1) experimental; urgency=low

  [ Bret Curtis ]
  * New upstream release
  * Library: Fixed a seek-to-0 bug in order to cure an issue of truncated
      start.
  * Player, OpenAL: reduced buffers from 8 to 4 so as to cure some output
      delay issues.

  [ Scott Howard ]
  * Added Vcs-* fields to debian/control

 -- Bret Curtis <psi29a@gmail.com>  Thu, 05 Feb 2015 08:35:33 +0100
