=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends: debhelper (>= 9~),
                cmake,
                libasound2-dev [linux-any]
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.mindwerks.net/projects/wildmidi/
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/wildmidi.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/wildmidi.git
 
 Package: wildmidi
 Architecture: any
