=== debian/watch ===
version=3
https://github.com/psi29a/wildmidi/releases .*wildmidi-([0-9]+\.[0-9]+\.[0-9]+).tar.gz
