## wildmidi 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
 # ########## Project setup ##########
 PROJECT(wildmidi C)
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
+CMAKE_MINIMUM_REQUIRED(VERSION 2.8.11)
 
 # WildMIDI Version
 SET(VERSION_MAJOR 0)
-SET(VERSION_MINOR 3)
-SET(VERSION_RELEASE 8)
+SET(VERSION_MINOR 4)
+SET(VERSION_RELEASE 0)
 SET(WILDMIDI_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE}")
 
 # Lib Versions
-SET(SOVERSION 1)
-SET(VERSION 1.1.2)
+SET(SOVERSION 2)
+SET(VERSION 2.0.0)
 
 # Find Macros
 SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
@@ -37,7 +37,9 @@
 CMAKE_DEPENDENT_OPTION(WANT_PLAYERSTATIC "Build a statically linked WildMIDI player" ON "WANT_STATIC" OFF)
 OPTION(WANT_ALSA        "Include ALSA (Advanced Linux Sound Architecture) support" OFF)
 OPTION(WANT_OSS         "Include OSS (Open Sound System) support" OFF)
+#OPTION(WANT_COREAUDIO   "Include CoreAudio support (Driver support for Mac OS X" OFF)
 OPTION(WANT_OPENAL      "Include OpenAL suport (Cross Platform) support" OFF)
+OPTION(WANT_DEVTEST     "Build WildMIDI DevTest file to check files" OFF)
 IF(UNIX AND NOT APPLE)
 SET(WILDMIDI_CFG "/etc/wildmidi/wildmidi.cfg" CACHE STRING "default config location")
 ELSE()
@@ -110,6 +112,9 @@
 CHECK_C_SOURCE_COMPILES("static __inline int static_foo() {return 0;}
                          int main(void) {return 0;}" HAVE_C___INLINE)
 
+CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)
+CHECK_INCLUDE_FILE(inttypes.h HAVE_INTTYPES_H)
+
 TEST_BIG_ENDIAN(WORDS_BIGENDIAN)
 
 SET(AUDIODRV_ALSA)
@@ -132,10 +137,6 @@
             ENDIF()
             SET(AUDIODRV_ALSA 1)
             SET(AUDIO_LIBRARY ${ALSA_LIBRARY})
-            # FIXME: we need to add ALSA_INCLUDE_DIR only to the wildmidi
-            # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
-            # but that requires cmake-2.8.11 or newer
-            INCLUDE_DIRECTORIES(${ALSA_INCLUDE_DIR})
 
         ELSEIF(WANT_OSS)
             IF(NOT OSS_FOUND)
@@ -151,20 +152,12 @@
             ENDIF()
             SET(AUDIODRV_OPENAL 1)
             SET(AUDIO_LIBRARY ${OPENAL_LIBRARY})
-            # FIXME: we need to add OPENAL_INCLUDE_DIR only to the wildmidi
-            # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
-            # but that requires cmake-2.8.11 or newer
-            INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})
 
         ELSE() # Try to auto-detect
 
             IF(ALSA_FOUND)
                 SET(AUDIO_LIBRARY ${ALSA_LIBRARY})
                 SET(AUDIODRV_ALSA 1)
-                # FIXME: we need to add ALSA_INCLUDE_DIR only to the wildmidi
-                # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
-                # but that requires cmake-2.8.11 or newer
-                INCLUDE_DIRECTORIES(${ALSA_INCLUDE_DIR})
 
             ELSEIF(OSS_FOUND)
                 # no special header paths
@@ -174,10 +167,6 @@
             ELSEIF(OPENAL_FOUND)
                 SET(AUDIO_LIBRARY ${OPENAL_LIBRARY})
                 SET(AUDIODRV_OPENAL 1)
-                # FIXME: we need to add OPENAL_INCLUDE_DIR only to the wildmidi
-                # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
-                # but that requires cmake-2.8.11 or newer
-                INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})
 
             ELSE()
                 MESSAGE(WARNING "Could not find an audio sub-system!")
@@ -211,10 +200,6 @@
         IF(OPENAL_FOUND)
             SET(AUDIO_LIBRARY ${OPENAL_LIBRARY})
             SET(AUDIODRV_OPENAL 1)
-            # FIXME: we need to add OPENAL_INCLUDE_DIR only to the wildmidi
-            # target in src/CMakeLists.txt using TARGET_INCLUDE_DIRECTORIES()
-            # but that requires cmake-2.8.11 or newer
-            INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})
 
         ELSE()
             MESSAGE(WARNING "Could not find an audio sub-system!")
@@ -234,6 +219,9 @@
 INCLUDE_DIRECTORIES(BEFORE "${CMAKE_SOURCE_DIR}/include")
 FILE (MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/include")
 INCLUDE_DIRECTORIES(BEFORE "${CMAKE_BINARY_DIR}/include")
+IF(NOT HAVE_STDINT_H) # AND NOT HAVE_INTTYPES_H
+   INCLUDE_DIRECTORIES(BEFORE "${CMAKE_SOURCE_DIR}/include/stdint")
+ENDIF()
 
 IF(APPLE)
     SET(APP_BUNDLE_NAME "${CMAKE_PROJECT_NAME}.app")
