=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,16 @@
     wildmidi_lib.c
     reverb.c
     gus_pat.c
+    internal_midi.c
+    patches.c
+    f_xmidi.c
+    f_mus.c
+    f_hmp.c
+    f_midi.c
+    f_hmi.c
+    sample.c
+    mus2mid.c
+    xmi2mid.c
 )
 
 SET(wildmidi_library_HDRS
@@ -15,8 +25,18 @@
     ../include/wildmidi_lib.h
     ../include/reverb.h
     ../include/gus_pat.h
+    ../include/f_xmidi.h
+    ../include/f_mus.h
+    ../include/f_hmp.h
+    ../include/f_midi.h
+    ../include/f_hmi.h
+    ../include/internal_midi.h
+    ../include/patches.h
+    ../include/sample.h
     ../include/common.h
     ../include/filenames.h
+    ../include/mus2mid.h
+    ../include/xmi2mid.h
 )
 
 IF(MSVC)
@@ -119,8 +139,9 @@
 
 # MinGW or MinGW-w64
 IF(CMAKE_COMPILER_IS_MINGW)
-    SET(WILDMIDILIB "${CMAKE_BINARY_DIR}\\lib${LIBRARY_DYN_NAME}.dll.a")
-    SET(WILDMIDILIBSTATIC "${CMAKE_BINARY_DIR}\\lib${LIBRARY_STATIC_NAME}.a")
+    SET(WILDMIDILIB "${CMAKE_BINARY_DIR}/lib${LIBRARY_DYN_NAME}.dll.a")
+    SET(WILDMIDIDLL "${CMAKE_BINARY_DIR}/lib${LIBRARY_DYN_NAME}.dll")
+    SET(WILDMIDILIBSTATIC "${CMAKE_BINARY_DIR}/lib${LIBRARY_STATIC_NAME}.a")
 ENDIF(CMAKE_COMPILER_IS_MINGW)
 
 # Apple's Xcode
@@ -141,6 +162,18 @@
 
     ADD_DEPENDENCIES(wildmidi libwildmidi_dynamic)
 
+    IF(AUDIODRV_OPENAL)
+      TARGET_INCLUDE_DIRECTORIES(wildmidi PRIVATE
+        ${OPENAL_INCLUDE_DIR}
+        )
+    ELSEIF(AUDIODRV_ALSA)
+      TARGET_INCLUDE_DIRECTORIES(wildmidi PRIVATE
+        ${ALSA_INCLUDE_DIR}
+        )
+    ELSEIF(AUDIODRV_OSS)
+     # no special header paths
+    ENDIF()
+
     TARGET_LINK_LIBRARIES(wildmidi
         ${WILDMIDILIB}
         ${M_LIBRARY}
@@ -160,6 +193,18 @@
         COMPILE_DEFINITIONS WILDMIDI_STATIC
     )
 
+    IF(AUDIODRV_OPENAL)
+      TARGET_INCLUDE_DIRECTORIES(wildmidi-static PRIVATE
+        ${OPENAL_INCLUDE_DIR}
+        )
+    ELSEIF(AUDIODRV_ALSA)
+      TARGET_INCLUDE_DIRECTORIES(wildmidi-static PRIVATE
+        ${ALSA_INCLUDE_DIR}
+        )
+    ELSEIF(AUDIODRV_OSS)
+     # no special header paths
+    ENDIF()
+
     TARGET_LINK_LIBRARIES(wildmidi-static
         ${WILDMIDILIBSTATIC}
         ${M_LIBRARY}
@@ -167,7 +212,17 @@
         )
 ENDIF(WANT_PLAYERSTATIC)
 
-# add install target:
+IF(WANT_DEVTEST)
+    SET(wildmidi-devtest_executable_SRCS
+        ${GETOPT}
+        DevTest.c
+    )
+    ADD_EXECUTABLE(wildmidi-devtest
+        ${wildmidi-devtest_executable_SRCS}
+    )
+ENDIF(WANT_DEVTEST)
+
+# install target (*nix OSes)
 IF(UNIX AND NOT APPLE)
     # install our libraries
     IF(WANT_STATIC)
@@ -183,8 +238,44 @@
         INSTALL(TARGETS wildmidi-static DESTINATION bin)
     ENDIF(WANT_PLAYERSTATIC)
 
+    # install our devtest if asked for
+    IF(WANT_DEVTEST)
+        INSTALL(TARGETS wildmidi-devtest DESTINATION bin)
+    ENDIF(WANT_DEVTEST)
+
     # install supporting man pages and headers
     INSTALL(FILES ${CMAKE_SOURCE_DIR}/include/wildmidi_lib.h DESTINATION include)
     INSTALL(DIRECTORY ${CMAKE_SOURCE_DIR}/docs/man/ DESTINATION share/man)
 ENDIF(UNIX AND NOT APPLE)
 
+# install target (Windows: MinGW or MinGW-w64)
+IF(WIN32 AND CMAKE_COMPILER_IS_MINGW)
+    IF("${CMAKE_INSTALL_PREFIX}" STREQUAL "")
+        MESSAGE("INSTALL PREFIX IS EMPTY")
+        SET(CMAKE_INSTALL_PREFIX "${CMAKE_BINARY_DIR}/wildmidi_lib" CACHE STRING "Install Prefix" FORCE)
+        MESSAGE("INSTALL PREFIX NOW: ${CMAKE_INSTALL_PREFIX}")
+    ENDIF("${CMAKE_INSTALL_PREFIX}" STREQUAL "" )
+    # install our libraries
+    IF(WANT_STATIC)
+        INSTALL(TARGETS libwildmidi_static DESTINATION "lib${LIB_SUFFIX}/${CMAKE_LIBRARY_ARCHITECTURE}")
+    ENDIF(WANT_STATIC)
+    INSTALL(FILES ${WILDMIDILIB} DESTINATION "lib${LIB_SUFFIX}/${CMAKE_LIBRARY_ARCHITECTURE}")
+    INSTALL(FILES ${WILDMIDIDLL} DESTINATION "bin${LIB_SUFFIX}/${CMAKE_LIBRARY_ARCHITECTURE}")
+
+    # install our player if asked for
+    IF(WANT_PLAYER)
+        INSTALL(TARGETS wildmidi DESTINATION bin)
+    ENDIF(WANT_PLAYER)
+    IF(WANT_PLAYERSTATIC)
+        INSTALL(TARGETS wildmidi-static DESTINATION bin)
+    ENDIF(WANT_PLAYERSTATIC)
+
+    # install our devtest if asked for
+    IF(WANT_DEVTEST)
+        INSTALL(TARGETS wildmidi-devtest DESTINATION bin)
+    ENDIF(WANT_DEVTEST)
+
+    # install supporting man pages and headers
+    INSTALL(FILES ${CMAKE_SOURCE_DIR}/include/wildmidi_lib.h DESTINATION include)
+    INSTALL(DIRECTORY ${CMAKE_SOURCE_DIR}/docs/man/ DESTINATION share/man)
+ENDIF(WIN32 AND CMAKE_COMPILER_IS_MINGW)
