=== debian/changelog ===
wildmidi (0.4.0-2) unstable; urgency=medium

  * Corrected copyright of docs/* to be under CC-BY-SA 4.0

 -- Bret Curtis <psi29a@gmail.com>  Mon, 12 Sep 2016 08:50:14 +0300

wildmidi (0.4.0-1) unstable; urgency=medium

  * New upstream release
  * dbg packages automatically created now (Closes: 581035)

 -- Bret Curtis <psi29a@gmail.com>  Thu, 16 Jun 2016 08:50:14 +0300
