=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: debhelper (>= 9~),
                cmake,
                libasound2-dev [linux-any]
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.mindwerks.net/projects/wildmidi/
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/wildmidi.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/wildmidi.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/wildmidi.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/wildmidi.git
 
 Package: wildmidi
 Architecture: any
@@ -21,7 +21,7 @@
  demonstrate the features of libWildMidi, including: reberb, logarithmic
  volume and high-quality linear or gauss resampling.
 
-Package: libwildmidi1
+Package: libwildmidi2
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -38,7 +38,7 @@
 Package: libwildmidi-dev
 Section: libdevel
 Architecture: any
-Depends: libwildmidi1 (= ${binary:Version}),
+Depends: libwildmidi2 (= ${binary:Version}),
          ${misc:Depends}
 Description: software MIDI player library headers
  MIDI streaming library designed to process a MIDI file using sound patches
@@ -52,8 +52,6 @@
 Section: misc
 Architecture: all
 Multi-Arch: foreign
-Breaks: libwildmidi1 (<< 0.2.3.4-2~)
-Replaces: libwildmidi1 (<< 0.2.3.4-2~)
 Depends: ${misc:Depends}
 Recommends: freepats
 Description: software MIDI player configuration
